# Ogre::KeyTarget Class Reference

`#include <OgreKeyTarget.h>`

Inheritance diagram for Ogre::KeyTarget:

List of all members.

## Public Member Functions

| KeyTarget ()
virtual | ~KeyTarget ()
void | processKeyEvent (KeyEvent *e)
void | addKeyListener (KeyListener *l)
void | removeKeyListener (KeyListener *l)
virtual void | processEvent (InputEvent *e)=0

## Protected Attributes

std::set< KeyListener * > | mKeyListeners

## Private Attributes

std::set< KeyListener * > | mRemovedListeners

## Constructor & Destructor Documentation

Ogre::KeyTarget::KeyTarget | ( |  | ) |

| Definition at line 55 of file OgreKeyTarget.h.

virtual Ogre::KeyTarget::~KeyTarget | ( |  | ) | `[virtual]`

| Definition at line 56 of file OgreKeyTarget.h.

## Member Function Documentation

void Ogre::KeyTarget::addKeyListener | ( | KeyListener * | l | ) |

virtual void Ogre::EventTarget::processEvent | ( | InputEvent * | e | ) | `[pure virtual, inherited]`

| Implemented in Ogre::Cursor, and Ogre::EventProcessor.

void Ogre::KeyTarget::processKeyEvent | ( | KeyEvent * | e | ) |

void Ogre::KeyTarget::removeKeyListener | ( | KeyListener * | l | ) |

## Member Data Documentation

std::set<KeyListener*> Ogre::KeyTarget::mKeyListeners `[protected]`

| Definition at line 52 of file OgreKeyTarget.h.

std::set<KeyListener*> Ogre::KeyTarget::mRemovedListeners `[private]`

| Definition at line 49 of file OgreKeyTarget.h.

The documentation for this class was generated from the following file:

- OgreKeyTarget.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:37:06 2005